This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 450621 - Review Request: itaka - On-demand screen capture server
Review Request: itaka - On-demand screen capture server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-09 18:50 EDT by Nicoleau Fabien
Modified: 2008-09-10 02:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 02:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kwizart: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicoleau Fabien 2008-06-09 18:50:31 EDT
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/itaka.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/itaka-0.2-1.fc9.src.rpm
Description: 
Itaka is an on-demand screen capture server featuring a polished and easy to use interface with a robust backend HTTP server.
The concept is : a request to your computer by a user displays an image of your screen in the user's web browser. 

rpmlint output :
[builder@FEDOBOX tmp]$ rpmlint -i itaka-0.2-1.fc9.noarch.rpm 
[builder@FEDOBOX tmp]$ rpmlint -i itaka-0.2-1.fc9.src.rpm 
[builder@FEDOBOX tmp]

src.rpm build under mock is OK.

It's not my first package but I'm seeking a sponsor.
Comment 1 Mamoru TASAKA 2008-06-18 00:22:00 EDT
(Removing NEEDSPONSOR: sponsored by me)
Comment 2 Nicoleau Fabien 2008-06-30 13:53:23 EDT
update for 0.2.1 version :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/itaka.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/itaka-0.2.1-1.fc9.src.rpm

rpmlint output :
[builder@FEDOBOX tmp]$ rpmlint itaka-0.2.1-1.fc9.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@FEDOBOX tmp]$ rpmlint itaka-0.2.1-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@FEDOBOX tmp]$ 

rebuild under mock is OK.
Comment 3 Nicolas Chauvet (kwizart) 2008-08-11 19:06:41 EDT
1/ There is no need for Requires: python >= 2.3 as package already have 
Requires: python(abi) = 2.5

2/ gzip -9 -c share/itaka.1 > share/itaka.1.gz at install step.
This is usually unneeded, rpm takes care of compression at /usr/lib/rpm/redhat/brp-compress step.
It seems that the compression option can be different. (it will use gzip -9 -n)
It shouldn't have any problem unless we choose a different compression method for all man pages later..

*/timestamps and md5sum are the same from source files and packages
25c0919219c7e0479ab3f0534eadf25e  itaka-0.2.1.tar.bz2
-rw-rw-r-- 1 builder builder 311287 jui 19  2007 itaka-0.2.1.tar.bz2
good

3/ /usr/share/itaka/ is not owned by the package. You need to add:
%dir %{_datadir}/%{name}


4/ License is GPLv2+, but COPYRIGHT also mention icons to be Creative Commons Attribution-ShareAlike (CC-BY-SA) 
according to http://fedoraproject.org/wiki/Licensing#License_of_Fedora_SPEC_Files
It is FSF compatible but need to be mentioned:
License:        GPLv2+ and CC-BY-SA
Comment 4 Nicoleau Fabien 2008-08-12 08:18:19 EDT
Update : 
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/itaka.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/itaka-0.2.1-2.fc9.src.rpm

Changelog :
- licence updated
- directories own fix
- removed useless Require python >= 2.3
- using brp-compress step instead of gzip for man page

rpmlint output :
[builder@FEDOBOX rpmbuild]$ rpmlint /home/builder/rpmbuild/SRPMS/itaka-0.2.1-2.fc9.src.rpm /home/builder/rpmbuild/RPMS/noarch/itaka-0.2.1-2.fc9.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@FEDOBOX rpmbuild]$
Comment 5 Nicolas Chauvet (kwizart) 2008-08-12 11:32:58 EDT
[root@kwizatz include]# desktop-file-validate /usr/share/applications/itaka.desktop
/usr/share/applications/itaka.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated 
/usr/share/applications/itaka.desktop: warning: value "GNOME;Application;Network;" for key "Categories" in group "Desktop Entry" contains a deprecated value "Application"

You can fix this by either 
- patching the .desktop file (this will fix both warnings)
- using --remove-category="Application" at the desktop-file-install step 

The best would be to send the patch upstream along with the modifications needed for an accurate python directory detection.

Please add this little fix before import.

------------

This package (itaka) is APPROVED 

-----------
Comment 6 Nicoleau Fabien 2008-08-12 13:41:21 EDT
Thanks for the review.
I'll update spec file for desktop file using these commands :
sed -i -e "s/Icon=%{name}.png/Icon=%{name}/"  share/%{name}.desktop
sed -i -e "/Encoding=UTF-8/d" share/%{name}.desktop 
and -remove-category="Application" for desktop file install.

I'll also contact upstream to send him the modifications.
Comment 7 Nicoleau Fabien 2008-08-12 13:43:13 EDT
New Package CVS Request
=======================
Package Name: itaka
Short Description: On-demand screen capture server
Owners: eponyme
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-08-13 01:11:43 EDT
cvs done.
Comment 9 Fedora Update System 2008-08-24 12:39:37 EDT
itaka-0.2.1-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/itaka-0.2.1-2.fc8
Comment 10 Fedora Update System 2008-08-24 12:40:34 EDT
itaka-0.2.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/itaka-0.2.1-2.fc9
Comment 11 Fedora Update System 2008-09-10 02:38:47 EDT
itaka-0.2.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-09-10 02:59:27 EDT
itaka-0.2.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.